Page MenuHomePhabricator

Notification when account is blocked
Open, MediumPublicFeature

Description

User should be automatically notified when his account is blocked.
There might be situation when block is shorter than users inactivity on project and when blocking admin does not write on user's taklpage, user may not notice, when there was any block.

Event Timeline

JAnD created this task.Jun 1 2015, 11:22 AM
JAnD raised the priority of this task from to Needs Triage.
JAnD updated the task description. (Show Details)
JAnD added a subscriber: JAnD.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 1 2015, 11:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Krenair set Security to None.
Krenair added a subscriber: Krenair.
Legoktm moved this task from Backlog to Needs plan on the Notifications board.Jul 6 2015, 7:24 AM
Mattflaschen-WMF renamed this task from Notification when accout is blocked to Notification when account is blocked.Jul 9 2015, 12:24 AM
Mattflaschen-WMF triaged this task as Medium priority.

Change 264070 had a related patch set uploaded (by Haritha28):
Notification when account is blocked

https://gerrit.wikimedia.org/r/264070

Change 421720 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Echo@master] Notify user when they are blocked

https://gerrit.wikimedia.org/r/421720

matej_suchanek added a subscriber: Haritha28.
Framawiki moved this task from To Triage to Not ready to announce on the User-notice board.
IKhitron added a subscriber: IKhitron.

@matej_suchanek Hey! Can I ask that what's up with this task?

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 27 2018, 3:59 PM

Change 264070 abandoned by Aklapper:
Notification when account is blocked

Reason:
Abandoning as this patch is superseded by https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Echo/ /421720/ according to the comments there.

https://gerrit.wikimedia.org/r/264070

@Bencemac: See the two links above: Patch awaiting review.

SBisson moved this task from Inbox to External on the Growth-Team board.Aug 7 2018, 1:36 PM
TBolliger moved this task from Backlog to User blocking on the MediaWiki-User-management board.
TBolliger added a subscriber: TBolliger.

Before this is merged, we should expand it to specify if the block is sitewide or partial. See also: T190350: Epic: ⚡️ Partial blocks

KTC added a subscriber: KTC.Nov 23 2018, 8:41 PM

Change 421720 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/Echo@master] Notify user when they are blocked

https://gerrit.wikimedia.org/r/421720

4nn1l2 added a subscriber: 4nn1l2.May 16 2019, 11:25 AM
matej_suchanek changed the subtype of this task from "Task" to "Feature Request".
matej_suchanek edited subscribers, added: Ammarpad; removed: TBolliger.

Current features:

  • the message is either "You have been blocked from editing." or "You have been partially blocked."
  • we show the provided reason (unless hidden from public)
  • there is a link to entry on Special:Log/block (unless hidden from public)

Unclear (not implemented) stuff:

  • notification on reblock and unblock
  • including duration to the message
  • wording when the block has expired

Input welcome.

Ammarpad added a comment.EditedJul 18 2020, 11:09 AM

I think it's fine as it's now, but I believe the duration should be included, as as I said in the code review it doesn't involve the complexity you're thinking of.

notification on reblock and unblock

It'll be nice to also be notified of these, but they can be implemented in a separate task. The current patch does satisfy the request of this task, I believe.

wording when the block has expired

I am not sure why you need custom wording, the block log entry object already comes with human-readable durations: 2 days, 3 months, 31 hours.

Also you don't need to revise the message after-the-fact. Notifications serve as record of actions at particular time, they do not need to conform with the present. Notification like "You have been blocked for 1 hour" does not need to be edited after the fact to take into account whether an hour has passed. The block has happened and for an hour, that's a fact, immutable one forever (even if the block were to be lifted before the full expiry duration).

Current features:

  • the message is either "You have been blocked from editing." or "You have been partially blocked."
  • we show the provided reason (unless hidden from public)
  • there is a link to entry on Special:Log/block (unless hidden from public)

This sounds good. Can you post a screenshot of the notification as it looks right now?

Unclear (not implemented) stuff:

  • notification on reblock and unblock

Agree with @Ammarpad that these would ne nice to have but should be in a separate task.

  • including duration to the message

Also agree that it would be good to have the duration in the notification.

  • wording when the block has expired

I don't think there is a precendent (or even provision?) for updating a notification text after it has been sent. Best to not update it retroactively.

Flagging this work for @SPoore, @dbarratt and @Tchanders.

Can you post a screenshot of the notification as it looks right now?

Also agree that it would be good to have the duration in the notification.

the block log entry object already comes with human-readable durations: 2 days, 3 months, 31 hours.

Partially true. See BlockLogFormatter::getMessageParameters and Language::translateBlockExpiry. We can get this or just a timestamp.

Hi. Is this now ready to be included in TechNews, or should it wait for next/future week's? (the User-notice tag was added in 2018!)
Whenever it goes in, please suggest wording for the inclusion, e.g. "Logged-in users will now receive a Notification if their account has been blocked."

Also, please document it at https://www.mediawiki.org/wiki/Help:Notifications/Types
Thanks!